AUTOMAKE_OPTIONS = foreign
INCLUDES = \
  -I$(top_srcdir)     			\
  -I$(top_srcdir)/src				\
  -I$(top_srcdir)/libhal++  \
  -I$(top_srcdir)/sqlite    \
  -I$(top_srcdir)/include   \
	$(XML_CFLAGS)		    \
	$(GLIB_CFLAGS)		  \
  $(LOG_DOMAINS)      \
	-DBMP_PLUGIN_BUILD 

LD_COMMON_FLAGS = --export-dynamic

libcontainer_folder_LTLIBRARIES = libcontainer_folder.la
libcontainer_folderdir = $(PLUGIN_DIR)/vfs/container
libcontainer_folder_la_CXXFLAGS = $(GLIBMM_CFLAGS) $(GTKMM_CFLAGS)
libcontainer_folder_la_LDFLAGS = -Wl, $(LD_COMMON_FLAGS) -fPIC -module
libcontainer_folder_la_LIBADD = $(GTK_LIBS) $(GLIB_LIBS)
libcontainer_folder_la_SOURCES = \
	libcontainer_folder.cc

libcontainer_pls_LTLIBRARIES = libcontainer_pls.la
libcontainer_plsdir = $(PLUGIN_DIR)/vfs/container
libcontainer_pls_la_CXXFLAGS = $(GLIBMM_CFLAGS)
libcontainer_pls_la_LDFLAGS = -Wl, $(LD_COMMON_FLAGS) -fPIC -module
libcontainer_pls_la_LIBADD = $(GTK_LIBS) $(GLIB_LIBS) $(BOOST_REGEX_LIB)
libcontainer_pls_la_SOURCES = \
	libcontainer_pls.cc

libcontainer_m3u_LTLIBRARIES = libcontainer_m3u.la
libcontainer_m3udir = $(PLUGIN_DIR)/vfs/container
libcontainer_m3u_la_CXXFLAGS = $(GLIBMM_CFLAGS)
libcontainer_m3u_la_LDFLAGS = -Wl, $(LD_COMMON_FLAGS) -fPIC -module 
libcontainer_m3u_la_LIBADD = $(GTK_LIBS) $(GLADE_LIBS) $(GLIB_LIBS) $(HREL_LIBS)
libcontainer_m3u_la_SOURCES = \
	libcontainer_m3u.cc 

#libcontainer_mlq_LTLIBRARIES = libcontainer_mlq.la
#libcontainer_mlqdir = $(PLUGIN_DIR)/vfs/container
#libcontainer_mlq_la_CXXFLAGS = $(GLIBMM_CFLAGS)
#libcontainer_mlq_la_LDFLAGS = -Wl, $(LD_COMMON_FLAGS) -fPIC -module 
#libcontainer_mlq_la_LIBADD = $(GTK_LIBS) $(GLADE_LIBS) $(GLIB_LIBS) $(HREL_LIBS)
#libcontainer_mlq_la_SOURCES = \
#	libcontainer_mlq.cc 

libcontainer_xspf_LTLIBRARIES = libcontainer_xspf.la
libcontainer_xspfdir = $(PLUGIN_DIR)/vfs/container
libcontainer_xspf_la_CXXFLAGS = $(GLIBMM_CFLAGS)

if HAVE_HAL
libcontainer_xspf_la_CXXFLAGS += $(HAL_CFLAGS)
endif

libcontainer_xspf_la_LDFLAGS = -Wl, $(LD_COMMON_FLAGS) -fPIC -module 
libcontainer_xspf_la_LIBADD = $(GTK_LIBS) $(GLIB_LIBS) $(XML_LIBS)
libcontainer_xspf_la_SOURCES = \
	libcontainer_xspf.cc 

#libcontainer_query_LTLIBRARIES = libcontainer_query.la
#libcontainer_querydir = $(PLUGIN_DIR)/vfs/container
#libcontainer_query_la_CXXFLAGS = $(GLIBMM_CFLAGS)
#libcontainer_query_la_LDFLAGS = -Wl, $(LD_COMMON_FLAGS) -fPIC -module 
#libcontainer_query_la_LIBADD = $(GTK_LIBS) $(GLIB_LIBS) $(XML_LIBS)
#libcontainer_query_la_SOURCES = \
#	libcontainer_query.cc 
